#!/usr/bin/python3

import re
import sys

RE_DELIMIT = re.compile('([=<>! ])')


def main(filepath):
    with open(filepath, "rt", encoding="utf8") as fh:
        reqs = [RE_DELIMIT.split(line, maxsplit=1) for line in fh]

    with open(filepath, "wt", encoding="utf8") as fh:
        fh.writelines("".join(x) for x in sorted(reqs))


if __name__ == "__main__":
    if len(sys.argv) != 2:
        print("Usage {} requirements_txt_file".format(sys.argv[0]))
        exit()
    main(sys.argv[1])
